<div class="page-header">
	<ol class="breadcrumb">
		<li class="breadcrumb-item"><a href="<%= dashboard_path %>"><%= t("views.right_panel.button.home") %></a></li>
		<li class="breadcrumb-item active">Payment Method Report</li>
		<span class="float-right">
			<%= link_to 'Back', dashboard_path %>
		</span>
	</ol>
</div>
<div class="row">
	<div class="col-md-12">

		<!-- <div class="container"> -->
		<%= render :partial=>'shift_sale_report_filter',
		:locals=>{ 	:period_type => true, :shift_name => true,:payments => true, :report_path =>reports_payment_method_index_path} %>
		<hr />
		<div class="text-right">
			<a href="javascript:export_to('<%=reports_payment_method_index_path%>.xls')" class = "btn btn-info wave-effects"><%= t("views.btn.exp_to_excel") %></a>
		</div>	  			

		<div class="margin-top-20">
			<div class="card">
				<table class="table table-bordered">
					<thead> 
						<tr>
							<th colspan="9"> 
							   <strong>
							   	<%= t("views.right_panel.detail.from_date") %> : <%= @from.utc.getlocal.strftime("%Y-%b-%d") rescue '-' %>  - <%= t("views.right_panel.detail.to_date") %> : <%= @to.utc.getlocal.strftime("%Y-%b-%d")  rescue '-'%>
							   </strong>
							</th>
						</tr>
						<% if @shift_from %>
						<tr>
							<% if @shift_data.employee %>		
							<% cashier_name = !@shift_data.nil? ? @shift_data.employee.name : '-' %>
							<% end %>			
							<th colspan="9">
								<strong><%= t("views.right_panel.detail.shift_name") %> =  <%= @shift_from %> - <%= @shift_to %> ( <%= cashier_name %> )</strong>
							</th>
						</tr>
						<% end %>
						<tr>
							<th><%= t("views.right_panel.detail.mpu_sales") %></th>
							<th><%= t("views.right_panel.detail.master_sales") %></th>
							<th><%= t("views.right_panel.detail.visa_sales") %></th>
							<th><%= t("views.right_panel.detail.jcb_sales") %></th>
							<th><%= t("views.right_panel.detail.redeem_sales") %></th>
							<th><%= t("views.right_panel.detail.cash_sales") %></th>
							<th><%= t("views.right_panel.detail.credit_sales") %></th>
							<th><%= t("views.right_panel.detail.foc_sales") %></th>
						</tr>
					</thead>
					<% unless @sale_data.empty? %>
						<tbody>
							<% @sale_data.each do |sale| %>
							<tr>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:mpu_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:master_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:visa_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:jcb_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:paypar_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:cash_amount]-sale[:total_change_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:credit_amount]), :delimiter => ',') rescue '-'%></td>
								<td><%= number_with_delimiter(sprintf("%.2f",sale[:foc_amount]), :delimiter => ',') rescue '-'%></td>
							</tr>
							<% end %>
							
						</tbody>
					<% end %>
				</table>
				<table class="table table-bordered">
					<thead>
					   <%if @payment_type.present?%>
					   	<tr>
					   	    <td colspan="6"><strong><%=@payment_type.upcase%> Payment Details</strong></td>
					   	</tr>
					   <%else%>
					     <tr>
					   	    <td colspan="6"><strong>All Payment Details</strong></td>
					   	</tr>
					   <%end%>
					    
						<tr>
							<th> <%= t("views.right_panel.detail.shift_name") %> </th>
							<th><%= t("views.right_panel.detail.receipt_no") %></th>
							<th> <%= t :cashier %> <%= t("views.right_panel.detail.name") %></th>
							<th> <%= t :payment_method %></th>
							<th> <%= t("views.right_panel.detail.amount") %> </th>
							<th><%= t("views.right_panel.detail.grand_total") %></th>
						</tr>
					</thead>
					<tbody>
					    <% total = 0 %>
						<% @pyament_method.each do |payment| %>
							<% if payment.payment_method === 'cash'
							total += payment.payment_amount - payment.change_amount
						   else
						   	total += payment.payment_amount  
							end%>							
							<tr> 
								<% if @shift_from.nil? && @shift_to.nil? %>
								<td><%= payment.sale_date.utc.getlocal.strftime("%e %b %I:%M%p")  rescue '-'%></td>
								<% else %>
								<td><%= @shift_from  rescue '-'%> -  <%= @shift_to   rescue '-'%></td>
								<% end %>
								<td><%= payment.receipt_no rescue '-' %></td>
								<td><%= payment.cashier_name rescue '-' %></td>
								<!--<td><%= payment.sale.customer.name rescue '-' %></td>-->
								<td><%= payment.payment_method rescue '-' %></td>
								<% if payment.payment_method === 'cash' %>
								<td><%= payment.payment_amount - payment.change_amount%> </td>
								<%else%>
								<td><%= payment.payment_amount%> </td>
								<%end%>
								<td><%= payment.sale.grand_total rescue '-' %></td>
								
							</tr>
							
						<% end %>
						<%if total>0%>
							<tr>
							   <td colspan="4" style="text-align: right;"><strong >Total </strong></td>
					    	 	<td colspan="2"><strong><%=total%></strong></td>
						    </tr>
					    <%end%>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>

<script>
	$(function(){
		var check_arr = [];
		search_by_period();
		$('#sel_period').change(function(){
			search_by_period();
		});
		
		function search_by_period(){
			var period = $('#sel_period').val();
			var period_type = 0;
			var from = "";
			var to = "";

			show_shift_name(period,period_type,from,to,'shift_item');	
		}   

		// OK button is clicked
		$('#from').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			from = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#from').val(from)
			search_by_date();
		});
		$('#to').bootstrapMaterialDatePicker().on('beforeChange', function(e, date){
			new_date = new Date(date) ;
			month    = parseInt(new_date.getMonth()+1)
			to = new_date.getDate() + "-" + month + "-" + new_date.getFullYear();
			$('#to').val(to)
			search_by_date();
		});    
		
		function search_by_date(){

			from = $("#from").val();
	  		to   = $("#to").val();

			var period = 0;
			var period_type = 1;	
			if(to != '' && from != ''){
				shift_name = from + ',' + to;

				check_arr.push(to);
				
				if(check_arr.length == 1){
					show_shift_name(period,period_type,from,to,'shift_item');	   	
				}
				if(check_arr.length == 3){
					check_arr = [];
				}
			}
			
		}
		
		function show_shift_name(period,period_type,from,to,shift_item){
			var shift = $('#shift_name');
			
			shift.empty();
			if (from == '' && to == '') {
				from = $("#from").val();
	  		    to   = $("#to").val();
			}
			var str = '';
			var param_shift = '';	   
			var param_shift = '<%= params[:shift_name] rescue '-'%>';
			console.log(param_shift);
			url = '<%= reports_get_shift_by_date_path %>';
			console.log(url);	
			$.get(url, {period :period, period_type :period_type, from :from, to :to, report_type :shift_item} , function(data){
				console.log(data);
				str = '<option value="0">--- All Shift ---</option>';
				$(data.message).each(function(index){	
					
					var local_date = data.message[index].local_opening_date + ' - ' + data.message[index].local_closing_date;
					var sh_date = data.message[index].opening_date + ' - ' + data.message[index].closing_date;
					var shift_id = data.message[index].shift_id ;
					if(param_shift != ''){
						if(shift_id == param_shift){
							selected = 'selected = "selected"';
						}
						else{
							selected = '';			   
						}			   	
					}else{
						selected = '';			   
					}		   			   
					str += '<option value="'+ shift_id +'" '+ selected +'>' + local_date + '</option>';
					
			   // console.log(sh_date)
			}) 
				shift.append(str);
			});
		}

	});
	
</script>